/*  calculator.h - header for parser with functions */
/*  Used in calculator.y                            */

#define NSYMS 1000 /* maximum number of symbols */

struct symtab
       { char *name;
         double (*funcptr)(double a);
         double (*funcptr2)(double a, double b);
         double (*funcptr3)(double a, double b, double c);
         double (*funcptr4)(double a, double b, double c, double d);
         double value;
         int type;
       }symtab[NSYMS];
struct symtab *symlook(char *s);    

