/* A Bison parser, made by GNU Bison 1.875.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     NAME = 258,
     NUMBER = 259,
     Y = 260,
     X = 261,
     COL = 262,
     IF = 263,
     THEN = 264,
     ELSE = 265,
     EQ = 266,
     LE = 267,
     GE = 268,
     PLUS_EQUALS = 269,
     MINUS_EQUALS = 270,
     TIMES_EQUALS = 271,
     DIVIDE_EQUALS = 272,
     LOGICAL_AND = 273,
     LOGICAL_OR = 274,
     INCREMENT = 275,
     DECREMENT = 276,
     UMINUS = 277
   };
#endif
#define NAME 258
#define NUMBER 259
#define Y 260
#define X 261
#define COL 262
#define IF 263
#define THEN 264
#define ELSE 265
#define EQ 266
#define LE 267
#define GE 268
#define PLUS_EQUALS 269
#define MINUS_EQUALS 270
#define TIMES_EQUALS 271
#define DIVIDE_EQUALS 272
#define LOGICAL_AND 273
#define LOGICAL_OR 274
#define INCREMENT 275
#define DECREMENT 276
#define UMINUS 277




/* Copy the first part of user declarations.  */
#line 74 "calculator.y"

#include<stdio.h>
#include<string.h>
#include<stdlib.h> 
#include<math.h>
#include "calculator.h"
#include "xdata.h"

void addfunc2(char *name, double(*func)(double,double));
void addfunc(char *name, double(*func)(double));
double drand(double a); 
void skip_to_end(void);
double dmax(double a, double b);
double dmin(double a, double b);
struct symtab* symlook(char *s);
int input(void);
int yyinput(void);
extern int yylex(void);
void yyerror(char *s);
void yyrestart ( FILE *input_file );
enum{ N_STRING, N_NUMBER, N_VARIABLE, N_FUNCTION };

extern Globals     g;
extern Spreadsheet s;
extern double answer;
extern char yy_hold_char, yy_n_chars;
extern char *text;
extern char *yytext;

char *yy_c_buf_p;
extern int yy_init;          /* whether we need to initialize */
extern int yy_start;         /* start state number */

int if_true=0;
int lineno, row, col;
static char tempstring[128];


/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 112 "calculator.y"
typedef union YYSTYPE {  double dval;
          struct symtab *symp;
       } YYSTYPE;
/* Line 191 of yacc.c.  */
#line 161 "calculator.tab.c"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 214 of yacc.c.  */
#line 173 "calculator.tab.c"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  33
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   419

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  43
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  20
/* YYNRULES -- Number of rules. */
#define YYNRULES  66
/* YYNRULES -- Number of states. */
#define YYNSTATES  112

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   277

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      39,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    32,     2,     2,     2,    25,    22,     2,
      40,    41,    30,    29,    42,    28,     2,    31,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,    38,
      26,    37,    27,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,    24,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    35,    23,    36,    33,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    34
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned char yyprhs[] =
{
       0,     0,     3,     5,     8,    13,    14,    20,    21,    27,
      28,    34,    35,    41,    42,    48,    49,    54,    55,    60,
      61,    65,    67,    69,    74,    76,    77,    83,    84,    90,
      91,    97,    98,   104,   105,   111,   112,   117,   118,   123,
     124,   128,   132,   136,   140,   144,   147,   150,   153,   157,
     161,   165,   169,   173,   177,   181,   185,   189,   193,   197,
     201,   203,   205,   207,   209,   211,   216
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      44,     0,    -1,    45,    -1,    44,    45,    -1,    35,    44,
      36,    45,    -1,    -1,     3,    37,    62,    46,    38,    -1,
      -1,     3,    14,    62,    47,    38,    -1,    -1,     3,    15,
      62,    48,    38,    -1,    -1,     3,    16,    62,    49,    38,
      -1,    -1,     3,    17,    62,    50,    38,    -1,    -1,     3,
      20,    51,    38,    -1,    -1,     3,    21,    52,    38,    -1,
      -1,    62,    53,    38,    -1,    39,    -1,    38,    -1,     8,
      40,    62,    41,    -1,    10,    -1,    -1,     3,    37,    62,
      54,    39,    -1,    -1,     3,    14,    62,    55,    39,    -1,
      -1,     3,    15,    62,    56,    39,    -1,    -1,     3,    16,
      62,    57,    39,    -1,    -1,     3,    17,    62,    58,    39,
      -1,    -1,     3,    20,    59,    39,    -1,    -1,     3,    21,
      60,    39,    -1,    -1,    62,    61,    39,    -1,    62,    29,
      62,    -1,    62,    28,    62,    -1,    62,    30,    62,    -1,
      62,    31,    62,    -1,    28,    62,    -1,    32,    62,    -1,
      33,    62,    -1,    40,    62,    41,    -1,    62,    26,    62,
      -1,    62,    27,    62,    -1,    62,    12,    62,    -1,    62,
      13,    62,    -1,    62,    11,    62,    -1,    62,    18,    62,
      -1,    62,    19,    62,    -1,    62,    22,    62,    -1,    62,
      23,    62,    -1,    62,    24,    62,    -1,    62,    25,    62,
      -1,     7,    -1,     6,    -1,     5,    -1,     4,    -1,     3,
      -1,     3,    40,    62,    41,    -1,     3,    40,    62,    42,
      62,    41,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned char yyrline[] =
{
       0,   142,   142,   143,   144,   148,   148,   149,   149,   150,
     150,   151,   151,   153,   152,   158,   158,   159,   159,   160,
     160,   161,   162,   163,   171,   178,   178,   179,   179,   180,
     180,   181,   181,   183,   182,   188,   188,   189,   189,   190,
     190,   197,   198,   199,   200,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   228,   229,   230,   241
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "NAME", "NUMBER", "Y", "X", "COL", "IF", 
  "THEN", "ELSE", "EQ", "LE", "GE", "PLUS_EQUALS", "MINUS_EQUALS", 
  "TIMES_EQUALS", "DIVIDE_EQUALS", "LOGICAL_AND", "LOGICAL_OR", 
  "INCREMENT", "DECREMENT", "'&'", "'|'", "'^'", "'%'", "'<'", "'>'", 
  "'-'", "'+'", "'*'", "'/'", "'!'", "'~'", "UMINUS", "'{'", "'}'", "'='", 
  "';'", "'\\n'", "'('", "')'", "','", "$accept", "statement_list", 
  "statement", "@1", "@2", "@3", "@4", "@5", "@6", "@7", "@8", "@9", 
  "@10", "@11", "@12", "@13", "@14", "@15", "@16", "expression", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    38,   124,    94,    37,    60,    62,    45,    43,
      42,    47,    33,   126,   277,   123,   125,    61,    59,    10,
      40,    41,    44
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    43,    44,    44,    44,    46,    45,    47,    45,    48,
      45,    49,    45,    50,    45,    51,    45,    52,    45,    53,
      45,    45,    45,    45,    45,    54,    45,    55,    45,    56,
      45,    57,    45,    58,    45,    59,    45,    60,    45,    61,
      45,    62,    62,    62,    62,    62,    62,    62,    62,    62,
      62,    62,    62,    62,    62,    62,    62,    62,    62,    62,
      62,    62,    62,    62,    62,    62,    62
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     1,     2,     4,     0,     5,     0,     5,     0,
       5,     0,     5,     0,     5,     0,     4,     0,     4,     0,
       3,     1,     1,     4,     1,     0,     5,     0,     5,     0,
       5,     0,     5,     0,     5,     0,     4,     0,     4,     0,
       3,     3,     3,     3,     3,     2,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       1,     1,     1,     1,     1,     4,     6
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
       0,    64,    63,    62,    61,    60,     0,    24,     0,     0,
       0,     0,    22,    21,     0,     0,     2,    19,     0,     0,
       0,     0,    15,    17,     0,     0,     0,    64,    45,    46,
      47,     0,     0,     1,     3,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     7,     9,    11,    13,     0,     0,     0,     0,
       5,     0,     0,     0,    48,    53,    51,    52,    54,    55,
      56,    57,    58,    59,    49,    50,    42,    41,    43,    44,
      20,    40,     0,     0,     0,     0,     0,     0,     0,     0,
      16,    36,    18,    38,     0,     0,    65,     0,    23,     4,
       8,    28,    10,    30,    12,    32,    14,    34,     6,    26,
       0,    66
};

/* YYDEFGOTO[NTERM-NUM]. */
static const yysigned_char yydefgoto[] =
{
      -1,    15,    16,    94,    82,    84,    86,    88,    56,    58,
      50,    95,    83,    85,    87,    89,    57,    59,    51,    17
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -34
static const short yypact[] =
{
      55,   348,   -34,   -34,   -34,   -34,   -33,   -34,   111,   111,
     111,    55,   -34,   -34,   111,    42,   -34,   218,   111,   111,
     111,   111,   -31,   -30,   111,   111,   111,   -25,   -34,   -34,
     -34,    93,   155,   -34,   -34,   111,   111,   111,   111,   111,
     111,   111,   111,   111,   111,   111,   111,   111,   111,   111,
     -24,   -19,   240,   262,   284,   306,   -13,     4,     6,    14,
     328,   134,   176,   102,   -34,    -7,    -7,    -7,   367,   367,
     388,   388,   388,   388,    -7,    -7,   -26,   -26,   -34,   -34,
     -34,   -34,    16,    17,    19,    25,    28,    29,    31,    32,
     -34,   -34,   -34,   -34,    34,    37,   -34,   111,   -34,   -34,
     -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,
     197,   -34
};

/* YYPGOTO[NTERM-NUM].  */
static const yysigned_char yypgoto[] =
{
     -34,    15,   -12,   -34,   -34,   -34,   -34,   -34,   -34,   -34,
     -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,   -34,    -8
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -40
static const yysigned_char yytable[] =
{
      28,    29,    30,    34,    48,    49,    32,    26,   -35,   -37,
      52,    53,    54,    55,    80,    25,    60,    61,    62,    34,
      81,    46,    47,    48,    49,    90,    31,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    33,    91,    92,     1,     2,     3,     4,     5,
       6,    99,     7,    93,   100,     0,   101,   102,     1,     2,
       3,     4,     5,     6,   103,     7,   104,     0,   105,   106,
       8,   107,   108,     0,     9,    10,   109,     0,     0,     0,
      12,    13,    14,     8,     0,     0,     0,     9,    10,   110,
      11,     0,     0,    12,    13,    14,     1,     2,     3,     4,
       5,     6,     0,     7,     0,     1,     2,     3,     4,     5,
       6,     0,     7,     0,    27,     2,     3,     4,     5,     0,
       0,     8,     0,     0,     0,     9,    10,     0,     0,    63,
       8,    12,    13,    14,     9,    10,     0,     0,     0,     8,
      12,    13,    14,     9,    10,    35,    36,    37,     0,     0,
       0,    14,    38,    39,     0,     0,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    35,    36,    37,     0,
       0,     0,     0,    38,    39,    96,    97,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    35,    36,    37,
       0,     0,     0,     0,    38,    39,    64,     0,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    35,    36,
      37,     0,     0,     0,     0,    38,    39,    98,     0,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    35,
      36,    37,     0,     0,     0,     0,    38,    39,   111,     0,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
       0,    35,    36,    37,     0,     0,     0,   -39,    38,    39,
       0,     0,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,     0,    35,    36,    37,     0,     0,     0,   -27,
      38,    39,     0,     0,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,     0,    35,    36,    37,     0,     0,
       0,   -29,    38,    39,     0,     0,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,     0,    35,    36,    37,
       0,     0,     0,   -31,    38,    39,     0,     0,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,     0,    35,
      36,    37,     0,     0,     0,   -33,    38,    39,     0,     0,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
       0,     0,    18,    19,    20,    21,     0,   -25,    22,    23,
       0,     0,     0,     0,     0,     0,     0,     0,    35,    36,
      37,     0,     0,     0,     0,    24,     0,     0,    25,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    35,
      36,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    44,    45,    46,    47,    48,    49
};

static const yysigned_char yycheck[] =
{
       8,     9,    10,    15,    30,    31,    14,    40,    39,    39,
      18,    19,    20,    21,    38,    40,    24,    25,    26,    31,
      39,    28,    29,    30,    31,    38,    11,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,     0,    39,    38,     3,     4,     5,     6,     7,
       8,    63,    10,    39,    38,    -1,    39,    38,     3,     4,
       5,     6,     7,     8,    39,    10,    38,    -1,    39,    38,
      28,    39,    38,    -1,    32,    33,    39,    -1,    -1,    -1,
      38,    39,    40,    28,    -1,    -1,    -1,    32,    33,    97,
      35,    -1,    -1,    38,    39,    40,     3,     4,     5,     6,
       7,     8,    -1,    10,    -1,     3,     4,     5,     6,     7,
       8,    -1,    10,    -1,     3,     4,     5,     6,     7,    -1,
      -1,    28,    -1,    -1,    -1,    32,    33,    -1,    -1,    36,
      28,    38,    39,    40,    32,    33,    -1,    -1,    -1,    28,
      38,    39,    40,    32,    33,    11,    12,    13,    -1,    -1,
      -1,    40,    18,    19,    -1,    -1,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    11,    12,    13,    -1,
      -1,    -1,    -1,    18,    19,    41,    42,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    11,    12,    13,
      -1,    -1,    -1,    -1,    18,    19,    41,    -1,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    11,    12,
      13,    -1,    -1,    -1,    -1,    18,    19,    41,    -1,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    11,
      12,    13,    -1,    -1,    -1,    -1,    18,    19,    41,    -1,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    11,    12,    13,    -1,    -1,    -1,    39,    18,    19,
      -1,    -1,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    11,    12,    13,    -1,    -1,    -1,    39,
      18,    19,    -1,    -1,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    11,    12,    13,    -1,    -1,
      -1,    39,    18,    19,    -1,    -1,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    11,    12,    13,
      -1,    -1,    -1,    39,    18,    19,    -1,    -1,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    11,
      12,    13,    -1,    -1,    -1,    39,    18,    19,    -1,    -1,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    14,    15,    16,    17,    -1,    39,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,
      13,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    11,
      12,    13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    26,    27,    28,    29,    30,    31
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,     3,     4,     5,     6,     7,     8,    10,    28,    32,
      33,    35,    38,    39,    40,    44,    45,    62,    14,    15,
      16,    17,    20,    21,    37,    40,    40,     3,    62,    62,
      62,    44,    62,     0,    45,    11,    12,    13,    18,    19,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      53,    61,    62,    62,    62,    62,    51,    59,    52,    60,
      62,    62,    62,    36,    41,    62,    62,    62,    62,    62,
      62,    62,    62,    62,    62,    62,    62,    62,    62,    62,
      38,    39,    47,    55,    48,    56,    49,    57,    50,    58,
      38,    39,    38,    39,    46,    54,    41,    42,    41,    45,
      38,    39,    38,    39,    38,    39,    38,    39,    38,    39,
      62,    41
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrlab1

/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)         \
  Current.first_line   = Rhs[1].first_line;      \
  Current.first_column = Rhs[1].first_column;    \
  Current.last_line    = Rhs[N].last_line;       \
  Current.last_column  = Rhs[N].last_column;
#endif

/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YYDSYMPRINT(Args)			\
do {						\
  if (yydebug)					\
    yysymprint Args;				\
} while (0)

# define YYDSYMPRINTF(Title, Token, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Token, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (cinluded).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short *bottom, short *top)
#else
static void
yy_stack_print (bottom, top)
    short *bottom;
    short *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylineno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylineno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YYDSYMPRINT(Args)
# define YYDSYMPRINTF(Title, Token, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    {
      YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
# ifdef YYPRINT
      YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
    }
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yytype, yyvaluep)
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YYDSYMPRINTF ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %s, ", yytname[yytoken]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 5:
#line 148 "calculator.y"
    {  yyvsp[-2].symp->value = yyvsp[0].dval; ;}
    break;

  case 7:
#line 149 "calculator.y"
    {  yyvsp[-2].symp->value += yyvsp[0].dval; ;}
    break;

  case 9:
#line 150 "calculator.y"
    { yyvsp[-2].symp->value -= yyvsp[0].dval; ;}
    break;

  case 11:
#line 151 "calculator.y"
    { yyvsp[-2].symp->value *= yyvsp[0].dval; ;}
    break;

  case 13:
#line 153 "calculator.y"
    { if (yyvsp[0].dval == 0.0)
                              yyerror("Division by zero");
                          else
                              yyvsp[-2].symp->value /= yyvsp[0].dval;
                        ;}
    break;

  case 15:
#line 158 "calculator.y"
    { yyvsp[-1].symp->value++; ;}
    break;

  case 17:
#line 159 "calculator.y"
    { yyvsp[-1].symp->value--; ;}
    break;

  case 19:
#line 160 "calculator.y"
    { /* printf("= %g\n", $1); */ answer=yyvsp[0].dval; ;}
    break;

  case 23:
#line 164 "calculator.y"
    {
                   if( yyvsp[-1].dval == 1)  if_true=1;
                               
                   else        {  if_true=0;
                                  skip_to_end();
                               }
                ;}
    break;

  case 24:
#line 172 "calculator.y"
    {  
                   if(if_true) skip_to_end();
                ;}
    break;

  case 25:
#line 178 "calculator.y"
    {  yyvsp[-2].symp->value = yyvsp[0].dval; ;}
    break;

  case 27:
#line 179 "calculator.y"
    {  yyvsp[-2].symp->value += yyvsp[0].dval; ;}
    break;

  case 29:
#line 180 "calculator.y"
    { yyvsp[-2].symp->value -= yyvsp[0].dval; ;}
    break;

  case 31:
#line 181 "calculator.y"
    { yyvsp[-2].symp->value *= yyvsp[0].dval; ;}
    break;

  case 33:
#line 183 "calculator.y"
    { if (yyvsp[0].dval == 0.0)
                              yyerror("Division by zero");
                          else
                              yyvsp[-2].symp->value /= yyvsp[0].dval;
                        ;}
    break;

  case 35:
#line 188 "calculator.y"
    { yyvsp[-1].symp->value++; ;}
    break;

  case 37:
#line 189 "calculator.y"
    { yyvsp[-1].symp->value--; ;}
    break;

  case 39:
#line 190 "calculator.y"
    { /* printf("= %g\n", $1);*/ answer=yyvsp[0].dval; ;}
    break;

  case 41:
#line 197 "calculator.y"
    { yyval.dval = yyvsp[-2].dval + yyvsp[0].dval; ;}
    break;

  case 42:
#line 198 "calculator.y"
    { yyval.dval = yyvsp[-2].dval - yyvsp[0].dval; ;}
    break;

  case 43:
#line 199 "calculator.y"
    { yyval.dval = yyvsp[-2].dval * yyvsp[0].dval; ;}
    break;

  case 44:
#line 201 "calculator.y"
    { if (yyvsp[0].dval == 0.0)
                              yyerror("Division by zero");
                          else
                              yyval.dval = yyvsp[-2].dval / yyvsp[0].dval; 
                        ;}
    break;

  case 45:
#line 206 "calculator.y"
    { yyval.dval = -yyvsp[0].dval; ;}
    break;

  case 46:
#line 207 "calculator.y"
    { yyval.dval = !yyvsp[0].dval; ;}
    break;

  case 47:
#line 208 "calculator.y"
    { yyval.dval = (double)(~(int)yyvsp[0].dval); ;}
    break;

  case 48:
#line 209 "calculator.y"
    { yyval.dval = yyvsp[-1].dval; ;}
    break;

  case 49:
#line 210 "calculator.y"
    { yyval.dval = yyvsp[-2].dval < yyvsp[0].dval; ;}
    break;

  case 50:
#line 211 "calculator.y"
    { yyval.dval = yyvsp[-2].dval > yyvsp[0].dval; ;}
    break;

  case 51:
#line 212 "calculator.y"
    { yyval.dval = yyvsp[-2].dval <= yyvsp[0].dval; ;}
    break;

  case 52:
#line 213 "calculator.y"
    { yyval.dval = yyvsp[-2].dval >= yyvsp[0].dval; ;}
    break;

  case 53:
#line 214 "calculator.y"
    { yyval.dval = yyvsp[-2].dval == yyvsp[0].dval; ;}
    break;

  case 54:
#line 215 "calculator.y"
    { yyval.dval = yyvsp[-2].dval && yyvsp[0].dval; ;}
    break;

  case 55:
#line 216 "calculator.y"
    { yyval.dval = yyvsp[-2].dval || yyvsp[0].dval; ;}
    break;

  case 56:
#line 217 "calculator.y"
    { yyval.dval = (double)((int)yyvsp[-2].dval & (int)yyvsp[0].dval); ;}
    break;

  case 57:
#line 218 "calculator.y"
    { yyval.dval = (double)((int)yyvsp[-2].dval | (int)yyvsp[0].dval); ;}
    break;

  case 58:
#line 219 "calculator.y"
    { yyval.dval = (double)(pow(yyvsp[-2].dval,yyvsp[0].dval)); ;}
    break;

  case 59:
#line 220 "calculator.y"
    { yyval.dval = ((double)(((int)yyvsp[-2].dval) % ((int)yyvsp[0].dval))); ;}
    break;

  case 60:
#line 221 "calculator.y"
    {  yyval.dval = g.cc; ;}
    break;

  case 61:
#line 222 "calculator.y"
    {  yyval.dval = g.rr; ;}
    break;

  case 62:
#line 223 "calculator.y"
    {  col = max(0,col-1);
                 row = max(0,cint(g.rr));
                 if(s.number[col][row]) yyval.dval = s.x[col][row];  
                 else set_to_string(row, col);
              ;}
    break;

  case 64:
#line 229 "calculator.y"
    {  yyval.dval = yyvsp[0].symp->value;  ;}
    break;

  case 65:
#line 231 "calculator.y"
    {  
                    if(yyvsp[-3].symp->funcptr)
                       yyval.dval = (yyvsp[-3].symp->funcptr)(yyvsp[-1].dval);
                    else
                    { 
                       sprintf(tempstring, "%s is not a 1-argument function\n", yyvsp[-3].symp->name);
                       yyerror(tempstring);
                       yyval.dval = 0.0;
                    }
                 ;}
    break;

  case 66:
#line 242 "calculator.y"
    {  
                    if(yyvsp[-5].symp->funcptr2)
                       yyval.dval = (yyvsp[-5].symp->funcptr2)(yyvsp[-3].dval,yyvsp[-1].dval);
                    else
                    {  sprintf(tempstring, "%s is not a 2-argument function\n", yyvsp[-5].symp->name);
                       yyerror(tempstring);
                       yyval.dval = 0.0;
                    }
                 ;}
    break;


    }

/* Line 991 of yacc.c.  */
#line 1464 "calculator.tab.c"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("syntax error, unexpected ") + 1;
	  yysize += yystrlen (yytname[yytype]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ((char*)"syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* Return failure if at end of input.  */
      if (yychar == YYEOF)
        {
	  /* Pop the error token.  */
          YYPOPSTACK;
	  /* Pop the rest of the stack.  */
	  while (yyss < yyssp)
	    {
	      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
	      yydestruct (yystos[*yyssp], yyvsp);
	      YYPOPSTACK;
	    }
	  YYABORT;
        }

      YYDSYMPRINTF ("Error: discarding", yytoken, &yylval, &yylloc);
      yydestruct (yytoken, &yylval);
      yychar = YYEMPTY;

    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab2;


/*----------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action.  |
`----------------------------------------------------*/
yyerrlab1:

  /* Suppress GCC warning that yyerrlab1 is unused when no action
     invokes YYERROR.  */
#if defined (__GNUC_MINOR__) && 2093 <= (__GNUC__ * 1000 + __GNUC_MINOR__) \
    && !defined __cplusplus
  __attribute__ ((__unused__))
#endif


  goto yyerrlab2;


/*---------------------------------------------------------------.
| yyerrlab2 -- pop states until the error token can be shifted.  |
`---------------------------------------------------------------*/
yyerrlab2:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
      yydestruct (yystos[yystate], yyvsp);
      yyvsp--;
      yystate = *--yyssp;

      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;


  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 252 "calculator.y"



void initialize_evaluator(void)
{   
   
   /* 1-parameter functions - new functions can be added here */
   addfunc("abs",  fabs); 
   addfunc("acos", acos); 
   addfunc("asin", asin); 
   addfunc("atan", atan); 
   addfunc("cos",  cos); 
   addfunc("cosh", cosh); 
   addfunc("exp",  exp);
   addfunc("log",  log); 
   addfunc("log10",log10); 
   addfunc("rand", drand); 
   addfunc("sin",  sin); 
   addfunc("sinh", sinh); 
   addfunc("sqrt", sqrt);
   addfunc("tan",  tan); 
   addfunc("tanh", tanh); 
   addfunc("erf",  erf); 

#ifdef HAVE_ACOSH
   addfunc("acosh",acosh); 
#endif
#ifdef HAVE_CBRT
   addfunc("cbrt", cbrt); 
#endif

   /* 2-parameter functions - new functions can be added here */
   addfunc2("pow", pow); 
   addfunc2("min", dmin); 
   addfunc2("max", dmax); 

   lineno=1;
   yy_n_chars = 0;
}

void yyerror(char *s)
{  
   formula_error(s); 
   yyrestart(NULL);
}

void add_variable(char *name, double value)
{
   struct symtab *sp = symlook(name);
   sp->funcptr = NULL;
   sp->funcptr2 = NULL;
   sp->value = value;
   sp->type = N_VARIABLE;
}

void addfunc(char *name, double(*func)(double))
{
   struct symtab *sp = symlook(name);
   sp->funcptr = func;
   sp->funcptr2 = NULL;
   sp->type = N_FUNCTION;
}

void addfunc2(char *name, double(*func)(double, double))
{
   struct symtab *sp = symlook(name);
   sp->funcptr = NULL;
   sp->funcptr2 = func;
   sp->type = N_FUNCTION;
}

double read_variable(char *name)
{
   struct symtab *sp = symlook(name);
   return sp->value;
}


struct symtab* symlook(char *s)
{
   struct symtab *sp;
   for(sp=symtab; sp< &symtab[NSYMS]; sp++)
   {  
       if(sp->name && !strcmp(sp->name, s)) return sp;  /* is it already here */
#ifdef LINUX
       if(!sp->name){ sp->name=strdup(s); return sp; }  /* is it free         */
#else
       if(!sp->name)
       {   
           sp->name = (char*)malloc(strlen(s)+1);
           strcpy(sp->name, s); 
           return sp; 
       }  
#endif
   }
   yyerror("Too many symbols, ask a wizard to enlarge me");
   return NULL;
}



void skip_to_end(void)
{
   while(strchr("\n ",yy_hold_char)!=NULL) yyinput(); 
   int got_left_brace = yy_hold_char=='{';
   if(got_left_brace)
   {   while(yy_hold_char != '}') yyinput();
   }else
   {   while(strchr(";}\n",yy_hold_char)==NULL) yyinput(); 
   }
   yyinput();
   while(yy_hold_char=='\n') yyinput(); 
}

double dmax(double a, double b){ if(a>b) return a; return b; }
double dmin(double a, double b){ if(a<b) return a; return b; }
double drand(double a){ a=a; return rand(); }

